<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <p-panel>
            <p-header>
                {{'mpmApp.prospectPerson.home.createOrEditLabel' | translate}}
            </p-header>
    
            <p-accordion [activeIndex]="indexAccordion">
                <p-accordionTab header="Informasi Pelanggan - Individual">
                    <jhi-person-view [person]="prospectPerson.person" [readonly]="false" [index]="index"></jhi-person-view>
                </p-accordionTab>
                <p-accordionTab header="Tipe Konsumen">
                    <div class="form-group" [hidden]="true">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectPerson.idProspect" readonly />
                    </div>
                    <div class="form-group" [hidden]="true">
                        <label class="form-control-label" jhiTranslate="mpmApp.prospectPerson.prospectNumber" for="field_prospectNumber">Nomor Prospect</label>
                        <input type="text" class="form-control" name="prospectNumber" id="field_prospectNumber"
                                [(ngModel)]="prospectPerson.prospectNumber"/>
                    </div>
                    
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.prospectPerson.prospectSource" for="field_prospectSource" class="mandatory"></label>
                        <select class="form-control" id="field_prospectSource" name="prospectSource" (change)="removeSalesBroker()" [(ngModel)]="prospectPerson.prospectSourceId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="prospectSourceOption.idProspectSource" *ngFor="let prospectSourceOption of prospectsources; trackBy: trackProspectSourceById">{{prospectSourceOption.description}}</option>
                        </select>
                    </div>
    
                    <!-- Sumber == Event -->
                    <div *ngIf="prospectPerson.prospectSourceId == 10">
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.prospectPerson.eventType" for="field_eventType"></label>
                            <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="prospectPerson.eventTypeId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.description}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Lokasi </label>
                            <textarea pInputTextarea  class="form-control" id="field_eventLocation" name="eventLocation" [(ngModel)]="prospectPerson.eventLocation"></textarea>
                        </div>
                    </div>
    
                    <!-- Sumber == Makelar -->
                    <div *ngIf="prospectPerson.prospectSourceId == 11">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="form-group">
                                    <label>Nama Makelar</label>
                                    <input type="text"  pInputText class="form-control" name="makelar" id="field_makelar" 
                                    [(ngModel)]="prospectPerson.brokerName" [readonly]="true"/>
                                </div>
                            </div>
                            <div class="col-md-3" style="padding-top:30px">
                                <button pButton type="button"
                                    label="Find Sales Broker"
                                    class="ui-button-danger btn-sm"
                                    [routerLink]="['/', { outlets: { popup: 'sales-broker-lov/'+  SALES_BROKER__TYPE_MAKELAR } }]">
                                </button>
                            </div>
                        </div>
                    </div>
    
                    <!-- Sumber == Refference -->
                    <div *ngIf="prospectPerson.prospectSourceId == 12">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="form-group">
                                    <label>Nama Refference</label>
                                    <input type="text"  pInputText class="form-control" name="refference" id="field_refference" 
                                    [(ngModel)]="prospectPerson.brokerName" [readonly]="true"/>
                                </div>
                            </div>
                            <div class="col-md-3" style="padding-top:30px">
                                <button pButton type="button"
                                    label="Find Sales Broker"
                                    class="ui-button-danger btn-sm"
                                    [routerLink]="['/', { outlets: { popup: 'sales-broker-lov/'+  SALES_BROKER_TYPE_REFFERENCE } }]">
                                </button>
                            </div>
                        </div>
                    </div>
    
                    <!-- Sumber == Refferal -->
                    <div *ngIf="prospectPerson.prospectSourceId == 13">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="form-group">
                                    <label>Nama Refferal</label>
                                    <input type="text"  pInputText class="form-control" name="refferal" id="field_refferal" 
                                    [(ngModel)]="prospectPerson.brokerName" [readonly]="true"/>
                                </div>
                            </div>
                            <div class="col-md-3" style="padding-top:30px">
                                <button pButton type="button"
                                    label="Find Sales Broker"
                                    class="ui-button-danger btn-sm"
                                    [routerLink]="['/', { outlets: { popup: 'sales-broker-lov/'+  SALES_BROKER_TYPE_REFFERAL } }]">
                                </button>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        
            <p-footer>
                <button pButton type="button" (click)="previousState()"
                    label="{{'entity.action.cancel' | translate}}" 
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving || isInvalid"
                    label="{{'entity.action.save' | translate}}" 
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </p-footer>
        </p-panel>
    </form> 
    
    <p-dialog [(visible)]="findProspect" responsive="true" modal="true">
        <p-header>
            Notifikasi
        </p-header>
    
        <div class="row">
            Data sudah ada di dalam system
        </div>
    
        <p-footer>
            <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil">
            </button>
            <button pButton type="button"
                    (click)="doFollowUp()" 
                    label="Follow Up"
                    icon="fa-hand-o-right">
            </button>
             <!-- [disabled]="vehicleNumber === null" -->
        </p-footer>
    </p-dialog>